Subject: Re: linux-next: Signed-off-by missing for commit in the powerpc tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 25 Feb 2019 09:47:25 +1100

Hi Michael,

On Sun, 24 Feb 2019 22:48:57 +1100 Michael Ellerman <[email-masked]> wrote:
> But do they need SOBs?

I think so, since they modify the code ..

> The DCO says:
> 
> By making a contribution to this project, I certify that:
> 
>         (a) The contribution was created in whole or in part by me and I
>             have the right to submit it under the open source license
>             indicated in the file; or
> 
>         (b) The contribution is based upon previous work that, to the best
>             of my knowledge, is covered under an appropriate open source
>             license and I have the right under that license to submit that
>             work with modifications, whether created in whole or in part
>             by me, under the same open source license (unless I am
>             permitted to submit under a different license), as indicated
>             in the file; or
> 
>         (c) The contribution was provided directly to me by some other
>             person who certified (a), (b) or (c) and I have not modified
>             it.
> 
>         (d) I understand and agree that this project and the contribution
>             are public and that a record of the contribution (including all
>             personal information I submit with it, including my sign-off) is
>             maintained indefinitely and may be redistributed consistent with
>             this project or the open source license(s) involved.
> 
> 
> Only d) really applies to a revert, and as the maintainer I feel like d)
> is kind of implied.

I read this as (a || b || c) && d.  And if there is no SOB, then none
of the above is certified.

> Anyway I'll try and remember to do it in future if that's The Rule ;)

Its just as effective as the rest of our rules ... i.e. a strong
suggestion :-)

Thanks
-- 
Cheers,
Stephen Rothwell